Skip to main content
DELETE
/
products
/
{productId}
/
product-variants
/
{id}
Delete Product Variant
curl --request DELETE \
  --url https://api.loopreturns.com/api/v1/products/{productId}/product-variants/{id} \
  --header 'X-Authorization: <api-key>'
import requests

url = "https://api.loopreturns.com/api/v1/products/{productId}/product-variants/{id}"

headers = {"X-Authorization": "<api-key>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {'X-Authorization': '<api-key>'}};

fetch('https://api.loopreturns.com/api/v1/products/{productId}/product-variants/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": 2,
  "success": true
}
"<unknown>"
"<unknown>"

Authorizations

X-Authorization
string
header
required

API Scope: "Product (write)"

Path Parameters

productId
integer
required

The unique Loop identifier of the parent product.

id
integer
required

The product variant's unique identifier.

Response

Success

id
integer<int64>

The unique integer identifier for the product variant, created by Loop.

Required range: x >= 1
Example:

98273402

success
boolean
read-only